bug-autoconf
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: sed problem in latest CVS autoconf


From: Akim Demaille
Subject: Re: sed problem in latest CVS autoconf
Date: 13 Oct 2000 12:36:55 +0200
User-agent: Gnus/5.0807 (Gnus v5.8.7) XEmacs/21.1 (Channel Islands)

Hi Nicolas,

Could you try out this patch?  If it works, I'll for an additional
approval before committing.

Index: ChangeLog
from  Akim Demaille  <address@hidden>
        * tests/mktests.sh: If ever it fails, touch the output files
        ``a` la missing''.

2000-10-13  Akim Demaille  <address@hidden>

Index: tests/mktests.sh
===================================================================
RCS file: /cvs/autoconf/tests/mktests.sh,v
retrieving revision 1.4
diff -u -r1.4 mktests.sh
--- tests/mktests.sh 2000/10/12 15:02:42 1.4
+++ tests/mktests.sh 2000/10/13 10:26:16
@@ -18,6 +18,22 @@
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 # 02111-1307, USA.
 
+# If we fail, clean up, but touch the output files.  We probably failed
+# because we used some non portable tool, but we just don't care: this
+# shell script is a maintainer tool, and we do expect good tools.
+trap "rm -f acdefuns audefuns requires syntax.tm4 update.tm4
+      touch syntax.m4
+      touch update.m4
+      exit 1" \
+     0 1 2 15
+
+# If ever something goes wrong, fail, so that the trap be launched.
+set -e
+
+# We need arguments.
+test $# != 0
+
+# We need these arguments.
 src="$@"
 
 
@@ -169,4 +185,7 @@
 mv update.tm4 update.m4
 
 rm -f acdefuns audefuns requires
+
+trap 0
+
 exit 0



reply via email to

[Prev in Thread] Current Thread [Next in Thread]